Page MenuHomePhabricator

efl_ui_image: migrate to efl.ui.clickable
ClosedPublic

Authored by bu5hm4n on May 5 2019, 3:01 AM.

Details

Summary

the mixin is now used to emit the events of the mixins. This is verified
by the testsuite. The testsuite needs a special treatment for the
object, because a missing image-file of the object would result in a 0x0
image size.

Depends on D8822

Diff Detail

Repository
rEFL core/efl
Branch
devs/bu5hm4n/work
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 11275
bu5hm4n created this revision.May 5 2019, 3:01 AM
bu5hm4n requested review of this revision.May 5 2019, 3:01 AM

Makes sense but is there any way to verify this manually (besides the spec testsuite)? I cannot find any example using Efl.Ui.Image :(

bu5hm4n updated this revision to Diff 21958.May 6 2019, 7:41 AM
bu5hm4n edited the summary of this revision. (Show Details)

Rebase & update according to xavi review

bu5hm4n updated this revision to Diff 21980.May 6 2019, 8:16 AM

remove more code from image zoomable

bu5hm4n updated this revision to Diff 22105.May 12 2019, 2:17 AM

Rebase & update

Okay, we cannot test zoomable right now. Zoomable is build in a way, that images are *sometimes* load with preload, which appear, to swallow and eat away the mouse events. However, for a user, this should not be a big problem, as this is a click which must have been within a few ms.

zmike accepted this revision.May 13 2019, 11:38 AM
This revision is now accepted and ready to land.May 13 2019, 11:38 AM
bu5hm4n updated this revision to Diff 22151.May 14 2019, 1:54 AM

Make press,move-out-of-widget,unpress scenarios work

bu5hm4n updated this revision to Diff 22156.May 14 2019, 1:55 AM

Make press,move-out-of-widget,unpress scenarios work take 2

bu5hm4n updated this revision to Diff 22176.May 14 2019, 10:53 AM

update to new API names

bu5hm4n updated this revision to Diff 22187.May 14 2019, 11:21 AM

update to new API names, redo

Closed by commit rEFL8429ffba9caa: efl_ui_image: migrate to efl.ui.clickable (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by zmike). · Explain WhyMay 14 2019, 1:18 PM
This revision was automatically updated to reflect the committed changes.